using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Matematika_gyakorlo
{
    public partial class Form5 : Form
    {
        int helyes = 0;
        int a, b;
        int ido = 60;
        public Form5()
        {
            InitializeComponent();
            General();
        }
        //general
        private void General()
        {

            Random r = new Random();
            a = r.Next(1, 11);
            b = r.Next(1, 11);

            label2.Text = a.ToString() + "×" + b.ToString() + "= ?";

        }
        //menu
        private void főmenüToolStripMenuItem_Click(object sender, EventArgs e)
        {
           
            ido = 60;
            label4.Text = "01:00";
            helyes = 0;
            timer1.Enabled = true;
            toolUzenet.Text = "";
            General();
        }

        private void kilépésToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Biztosan ki akarsz lépni?", "Vigyázz!", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2) == DialogResult.Yes)
            {
               Close();
            }
        }
        private void véglegesKilépésToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Biztosan ki akarsz lépni a teljes játékból?", "Vigyázz!", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button2) == DialogResult.Yes)
                Application.Exit();
        }
        //OK
        private void button1_Click(object sender, EventArgs e)
        {
            int v;
            try
            {
                v = Convert.ToInt32(textBox1.Text);

                if (v == a * b)
                {
                    helyes++;
                    toolUzenet.Text = "Az előző kérdésre jó volt a válasz! | Eddigi pontszámod: " + helyes.ToString() + " pont";
                    General();
                    textBox1.Clear();
                    textBox1.Focus();
                   
                }
                else
                {
                    textBox1.Clear();
                    Mentes();
                    timer1.Enabled = false;
                    MessageBox.Show("Rossz válasz! Vége a játéknak.\n" + "Elért pontszám: " + helyes.ToString());
                    Form7 f = new Form7();
                    f.radioButton3.Checked = true;
                    
                    f.ShowDialog();
                    
                }
            }
            catch (Exception)
            {
                textBox1.Text = "";
                textBox1.Focus();
            }
        }
        //Mentes
        void Mentes()
        {
            string sor;
            int tmp, i, j;
            int[] szamok = new int[6];
            string ut = Path.GetDirectoryName(Application.ExecutablePath);
            StreamReader sr = new StreamReader(ut + "\\III.txt");
            for (i = 0; i < 5; i++)
            {
                sor = sr.ReadLine();
                szamok[i] = int.Parse(sor);
            }
            sr.Close();
            szamok[5] = helyes;

            for (i = 0; i < 5; i++)
                for (j = i + 1; j < 6; j++)
                    if (szamok[i] < szamok[j]) { tmp = szamok[i]; szamok[i] = szamok[j]; szamok[j] = tmp; }

            StreamWriter sw = new StreamWriter(ut + "\\III.txt");
            for (i = 0; i < 5; i++)
                sw.WriteLine(szamok[i]);
            sw.Close();
        }
        //Enter
        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char)Keys.Enter)
                button1_Click(sender, e);
        }
        //idozito szepseg
        public string At(int x)
        {
            if (x < 10)
                return "0" + x.ToString();
            else return x.ToString();
        }
        //idozito
        private void timer1_Tick_1(object sender, EventArgs e)
        {
            ido--;
            if (ido == 0)
            {
                textBox1.Clear();
                timer1.Enabled = false;
                MessageBox.Show("Sajnos letelt az időd...\n" + "Az elért pontszám " + helyes.ToString());
                Mentes();
                Form7 f = new Form7();
                f.radioButton3.Checked = true;
                f.ShowDialog();

            }
            label4.Text = "00:" + At(ido);
        }

        
    }
}
